5.10. Info 文件
上一页 | 第 5 章 配置 Makefile | 下一页

## 5.10. Info 文件

如果软件包需要安装 GNU info 文件， 则需要在 `INFO` 变量中一一列出 (不需要指定 `.info` 后缀)。 系统假定这些文件均会安装到 ``PREFIX`/`INFO_PATH`` 目录中。 如果软件包有需要， 也可以通过修改 `INFO_PATH` 来指定不同的位置。 不过， 并不推荐这样做。 所有列出的项目均是相对于 ``PREFIX`/`INFO_PATH`` 的文件路径。 例如， `lang/gcc34` 表示将 info 文件安装到 ``PREFIX`/`INFO_PATH`/gcc34`， 因此 `INFO` 应写成类似这样：

INFO= gcc34/cpp gcc34/cppinternals gcc34/g77 ...

这样安装/卸载代码就会自动地在注册包之前将它们加入到临时的 `pkg-plist` 中了。

上一页 | 上一级 | 下一页
5.9. 联机手册 | 起始页 | 5.11. Makefile 选项

本文档和其它文档可从这里下载： ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

如果对于FreeBSD有问题，请先阅读 文档，如不能解决再联系 <questions@FreeBSD.org>.
关于本文档的问题请发信联系 <doc@FreeBSD.org>.